'use strict';

var OrcamentoSinteticoController = angular.module('OrcamentoSinteticoController', []);

OrcamentoSinteticoController.controller('OrcamentoSinteticoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
    $scope.construcao = CacheApp.getConstrucao();

    $scope.getOrcamentoSintetico = () => {
        $scope.planejado = {};
        Relatorio.getOrcamentoSintetico($scope.construcao.Id,
            (data) => {
                $scope.planejado = data.Instance;
            });
    }
    $scope.getOrcamentoSintetico();

    $scope.pdfOrcamentoSintetico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.pdfOrcamentoSintetico($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

    $scope.xlsOrcamentoSintetico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsOrcamentoSintetico($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

}]);
